#!/bin/bash
# XStreamity Auto-Installer für Enigma2

echo "Starte die Installation von XStreamity..."

# XStreamity .ipk Datei von Ihrer URL herunterladen
wget -O /tmp/enigma2-plugin-extensions-xstreamity.ipk "https://kronosiptv.com/enigma2/enigma2-plugin-extensions-xstreamity_4.61.20240926_all.ipk"

# Prüfen, ob der Download erfolgreich war
if [ -f /tmp/enigma2-plugin-extensions-xstreamity.ipk ]; then
    echo "Download abgeschlossen. Beginne mit der Installation..."
    
    # Installation des Pakets
    opkg install /tmp/enigma2-plugin-extensions-xstreamity.ipk

    # Prüfen, ob die Installation erfolgreich war
    if [ $? -eq 0 ]; then
        echo "XStreamity erfolgreich installiert!"
        
        # Temporäre Dateien löschen
        rm -f /tmp/enigma2-plugin-extensions-xstreamity.ipk
        echo "Temporäre Dateien wurden entfernt."
        
        # Neustart des GUI
        echo "Neustart des GUI..."
        systemctl restart enigma2
    else
        echo "Installation fehlgeschlagen. Bitte prüfen Sie die Log-Dateien."
    fi
else
    echo "Download fehlgeschlagen. Bitte URL überprüfen oder Internetverbindung prüfen."
fi
